summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:39:22 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:39:22 +0200
commit9e878102fd577ca51661fa82fedc414677f2296f (patch)
tree9a015a822f06c6b89c46503b7e9f7786b613789b /games
parent316a6479816cacb43eda4b2ae4184e01c402487a (diff)
downloadslackbuilds-9e878102fd577ca51661fa82fedc414677f2296f.tar.gz
slackbuilds-9e878102fd577ca51661fa82fedc414677f2296f.tar.xz
games/micropolis: Updated for version 20080222
Diffstat (limited to 'games')
-rw-r--r--games/micropolis/micropolis.SlackBuild52
-rw-r--r--games/micropolis/micropolis.info4
2 files changed, 43 insertions, 13 deletions
diff --git a/games/micropolis/micropolis.SlackBuild b/games/micropolis/micropolis.SlackBuild
index a03f9c2955..28d9a7c15c 100644
--- a/games/micropolis/micropolis.SlackBuild
+++ b/games/micropolis/micropolis.SlackBuild
@@ -1,26 +1,49 @@
#!/bin/sh
-# Slackware build script for Micropolis
+# Slackware build script for Micropolis
-# Written by Chess Griffin <chess@chessgriffin.com>
+# Copyright 2008-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=micropolis
-VERSION=20080222
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
+PRGNAM=micropolis
+VERSION=20080222
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
DOCS="COPYING README"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -49,8 +72,15 @@ make PREFIX=/usr DOCDIR=/usr/doc/$PRGNAM-$VERSION
make install PREFIX=/usr DOCDIR=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || exit 1
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/games/micropolis/micropolis.info b/games/micropolis/micropolis.info
index 54737c43e9..7595072454 100644
--- a/games/micropolis/micropolis.info
+++ b/games/micropolis/micropolis.info
@@ -1,8 +1,8 @@
PRGNAM="micropolis"
VERSION="20080222"
HOMEPAGE="http://www.donhopkins.com/home/micropolis"
-DOWNLOAD="http://slackbuilds.org/sources/12.1/micropolis-20080222.tar.bz2"
+DOWNLOAD="http://slackbuilds.org/sources/12.2/micropolis-20080222.tar.bz2"
MD5SUM="4731f0f039e6dbc51ade49b00a52e9a5"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="rworkman"
+APPROVED="dsomero"